(function(App, $) {
    Handlebars.registerHelper('selectExprFromSearchResult', function(obj, attrName) {
        var selectStr = 'attribute['+attrName+']';
        var retVal = obj[selectStr][0];
        return retVal;
    });
    
    Handlebars.registerHelper('contextId', function(obj, attrName) {
        var contextID = App ? (App.page ? (App.page.context ? (App.page.context.objectIds ? 
                (App.page.context.objectIds.length > 0 ? (App.page.context.objectIds[0]) : 
                    "") : "") : "") : "") : "";
        return contextID;
    });
    
    /*Template helper adopted from HEX: hex.js*/
    App.templates.setupHelper('priorityColor', function(priority) {
        var priorityValue = priority || '';
        switch (priorityValue.toLowerCase()) {
            case 'urgent':
                return 'red';
            case 'high':
                return 'orange';
            case 'medium':
                return 'yellow';
            case 'pre-assigned':
                return 'green';
            default:
                return '';
        }
    });
    App.templates.setupHelper('difficultyColor', function(difficulty) {
        var difficultyValue = difficulty || '';
        switch (difficultyValue.toLowerCase()) {
            case 'high':
                return 'red';
            case 'medium':
                return 'yellow';
            case 'low':
                return 'green';
            default:
                return '';
        }
    });
    App.templates.setupHelper('requirementClassificationColor', function(classification) {
        var classificationValue = classification || '';
        switch (classificationValue.toLowerCase()) {
            case 'none':
                return 'gray';
            case 'functional':
                return 'green';
            case 'non-functional':
                return 'orange';
            case 'constraint':
                return 'red';
            default:
                return '';
        }
    });
	
})(window.App || {}, jQuery);

